## org.apache.poi.hslf.record
Class RecordTypes.Type

    java.lang.Object
      org.apache.poi.hslf.record.RecordTypes.Type

Enclosing class:
  RecordTypes

    public static class RecordTypes.Type

extends java.lang.Object

Wrapper for the details of a PowerPoint or Escher record type. Contains both the type, and the handling class (if any), and offers methods to get either back out.

Field Summary
`java.lang.Class<? extends Record>` `handlingClass`
`int` `typeID`

Constructor Summary
`RecordTypes.Type(int typeID, java.lang.Class<? extends Record> handlingClass)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeID

    public int typeID

### handlingClass

    public java.lang.Class<? extends Record> handlingClass

Constructor Detail

### RecordTypes.Type

    public RecordTypes.Type(int typeID,
                            java.lang.Class<? extends Record> handlingClass)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.